<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class LuasCon extends Controller
{
    public function lPersegiC(Request $request){
        $s = $request->input('sisi');
        $result = $s * $s;
        return redirect('/lPersegi')->with('info', 'Luas Persegi adalah = '.$result);
    }

    public function lPersegiPC(Request $request){
        $p = $request->input('panjang');
        $l = $request->input('lebar');
        $result = $p * $l;
        return redirect('/lPersegiP')->with('info', 'Luas Persegi Panjang adalah = '.$result);
    }

    public function lTrapesiumC(Request $request){
        $a = $request->input('a');
        $b = $request->input('b');
        $t = $request->input('tinggi');
        $result = 1/2 * ($a+$b) * $t;
        return redirect('/lTrapesium')->with('info', 'Luas Trapesium adalah = '.$result);
    }

    public function lJajarGC(Request $request){
        $a = $request->input('alas');
        $t = $request->input('tinggi');
        $result = $a * $t;
        return redirect('/lJajarG')->with('info', 'Luas Jajar Genjang adalah = '.$result);
    }

    public function lLingkaranC(Request $request){
        $r = $request->input('jarijari');
        $result = M_PI * $r * $r;
        return redirect('/lLingkaran')->with('info', 'Luas Lingkaran adalah = '.$result);
    }

    public function lSegitigaC(Request $request){
        $a = $request->input('alas');
        $t = $request->input('tinggi');
        $result = 1/2 * $a * $t;
        return redirect('/lSegitiga')->with('info', 'Luas Segitiga adalah = '.$result);
    }

    public function lLayangC(Request $request){
        $d1 = $request->input('diagonal1');
        $d2 = $request->input('diagonal2');
        $result = 1/2 * $d1 * $d2;
        return redirect('/lLayang')->with('info', 'Luas Layang-Layang adalah = '.$result);
    }
}
